#!/usr/bin/perl

#
#    Grabs the latest local weather conditions from the National Weather Service (NWS).
#    Uses the decoded METAR reports.
#
#    Need to give the 4-character METAR station code on the Command Line. E.g.;
#
#           GrabWeather KLAM
#

#    This is a xchat Perl script adapted from wmWeather
#    Thanks to Mike Henderson (mghenderson@lanl.gov)
#
#       -Jimbo (jimbo@aegis-corp.org)

require "ctime.pl";

IRC::print "AEG\00310i\0030S Weather Loaded\n";
IRC::add_command_handler("weather", "weather_command_handler");


sub weather_command_handler
{
 $StationID    = $_[0];
 if (!$StationID){
 	IRC::print "You must provide a station ID !\nUse http://www.nws.noaa.gov/oso/siteloc.shtml to determine which is closest to you.\n";}
 else
 {
   IRC::print "\0039\0030Getting weather for \00311$StationID\0030\00314\0039\00314    \n";
   $HTMLFileName = "$StationID.TXT";
   $URL          = "ftp://weather.noaa.gov/data/observations/metar/decoded/$HTMLFileName";
   $DataFileName = "$StationID.dat";
   
   $GrabCmd = "wget --tries 0 -q -O /tmp/$StationID.TXT $URL";
   system "$GrabCmd";
   
   open(TmpFile, "/tmp/$HTMLFileName");
   $i = bla;
   $j = 3;
   while ($i){
     $i = <TmpFile>;
     if ($j==3 || $j==2) {IRC::print "\0039| \0030";}
     else {if ($j==1 || $j==0) {IRC::print "\00314| \0030";} 
     else {{IRC::print "  ";}}}
     IRC::print "$i";
     $j--;
   }
   close(TmpFile);
   IRC::print "\n";
 }
 return 1;
}



